package interactions_test

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestCmdHelloWorld(t *testing.T) {
	i, _, _ := makeInteractions(t)
	ix := mkInteraction("hello-world")

	ir, err := i.CmdHelloWorld(ix)
	assert.Nil(t, err)
	assert.Equal(t, "Hello world!", ir.Data.Content)
}
