package interactions

import "github.com/gofiber/fiber/v3"

func Deferred(c fiber.Ctx) (InteractionResponse, error) {
	return InteractionResponse{
		Type: ResponseDeferredChannelMessage,
	}, nil
}

func String(msg string, ephemeral bool) (InteractionResponse, error) {
	flags := 0
	if ephemeral {
		flags = FlagEphemeral
	}

	return InteractionResponse{
		Type: ResponseChannelMessage,
		Data: InteractionResponseData{
			Content: msg,
			Flags:   flags,
		},
	}, nil
}
