package interactions_test

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestRouter(t *testing.T) {
	i, _, key := makeInteractions(t)
	i.Router.Add("hello-world", cmdHelloWorld)

	r := sendInteraction(t, i, key, mkInteraction("hello-world"))

	assert.Equal(t, "Hello world!", r.Data.Content)
}
